/* -------------------------------------------------------------------
common.h - Some common constants and macros                        
                                                                    
Author:  Michelle Yan           

Copyright (c) 1998 Trustees of the University of Pennsylvania
See the file COPYING for license terms.
                                                                    
----------------------------------------------------------------------*/

#define FALSE            0
#define TRUE             1

#define WHITE            255
#define BLACK            0


#define abs(x)           ((x) < 0 ? -(x) : (x))
#define max(x, y)        ((x) > (y) ? (x) : (y))
#define min(x, y)        ((x) < (y) ? (x) : (y))
#define sign(x)          ((x) > 0 ? 1 : -1)
#define square(x)        ((x) * (x))
#define SameSign(x, y)   (sign((x)) == sign((y)) ? TRUE : FALSE)

